From f24845b5644fe59de24eb51f5908355b726a37e9 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jan 27 2017 15:30:02 +0000
Subject: [PATCH 676/1001] Add docstrings


---

diff --git a/hubs/app.py b/hubs/app.py
index 07ef281..f352afd 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -803,7 +803,14 @@ def plus_plus_update(user):
 # Add widget-specific routes
 #
 
-def widget_view_decorator(func):
+def _widget_view_decorator(func):
+    """
+    This internal decorator will edit the view function arguments.
+
+    It will:
+    - remove the hub name and the widget primary key
+    - add the database session and the widget instance
+    """
     @functools.wraps(func)
     def inner(*args, **kwargs):
         hubname = kwargs.pop("hub")
@@ -819,6 +826,6 @@ for widget in session.query(hubs.models.Widget):
         if not params.get("endpoint"):
             params["endpoint"] = params["view_func_name"]
         params["endpoint"] = "%s_%s" % (widget.plugin, params["endpoint"])
-        params["view_func"] = widget_view_decorator(
+        params["view_func"] = _widget_view_decorator(
             getattr(widget.module, params.pop("view_func_name")))
         app.add_url_rule(**params)
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index bde7bb1..f3cf198 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -100,6 +100,12 @@ def wraps(original):
 
 
 def widget_route(**options):
+    """Register a view for the current widget.
+
+    This decorator can be used to expose a specific function below a widget's
+    URL endpoint. Refer to the "Widget-specific views" section in the
+    documentation to learn how to construct the corresponding URL.
+    """
     def decorator(func):
         options["view_func_name"] = func.__name__
         mdict = sys.modules[func.__module__].__dict__

